Page MenuHomePhabricator

Exclude redirect pages from Special:Fewestrevisions
Closed, ResolvedPublic

Description

Author: emx

Description:
Please disable showing of redirects on Special:Fewestrevisions page, because
they're mostly not needed on that page.


Version: unspecified
Severity: enhancement
URL: http://en.wikipedia.org/wiki/Special:Fewestrevisions

Details

Reference
bz9736
Related Gerrit Patches:

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 9:41 PM
bzimport set Reference to bz9736.
bzimport added a subscriber: Unknown Object (MLST).
  • Bug 9676 has been marked as a duplicate of this bug. ***

Created attachment 3578
Do not show redirects

This patch exludes redirects from the list. But I cannot estimate if this will
melt the servers although on WMF wikis it's cached special page.

Note: Only redirects with more than 1 revision are shown at the moment.

Attached:

Created attachment 3579
Mark pages as redirect

This alternative patch marks pages as redirect. Same restrictions (melting
servers?).

Attached:

demon added a comment.Jul 8 2008, 1:53 PM

Done in r37318.

(In reply to comment #2)

Created attachment 3578 [details]
Do not show redirects
This patch exludes redirects from the list. But I cannot estimate if this
will
melt the servers although on WMF wikis it's cached special page.
Note: Only redirects with more than 1 revision are shown at the moment.

There are cached special pages that do a lot worse things than that

Attached:

demon removed a subscriber: demon.Aug 19 2015, 4:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 19 2015, 4:41 PM
DannyS712 claimed this task.Jul 9 2019, 2:16 PM
Restricted Application added a project: User-DannyS712. · View Herald TranscriptJul 9 2019, 2:16 PM

Change 521509 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Exclude redirects from Special:Fewestrevisions

https://gerrit.wikimedia.org/r/521509

Change 521509 merged by jenkins-bot:
[mediawiki/core@master] Exclude redirects from Special:Fewestrevisions

https://gerrit.wikimedia.org/r/521509

DannyS712 closed this task as Resolved.Aug 9 2019, 3:06 AM